e(fx)clipse入门-下载与安装

2. 下载与安装

本章主要参考http://www.eclipse.org/efxclipse/install.html

2.1 前提条件

确保至少安装了JDK8,并确保在Eclipse实例运行时使用此JDK。

2.2 使用集成安装包安装

如果不想通过更新站点安装逐个工具包,则可以通过外部站点http://efxclipse.bestsolution.at来下载集成安装包,对应的安装包中还带有一些非官方的插件(如subclipse)。

http://efxclipse.bestsolution.at/install.html#all-in-one页面中,你可以直接选择适合自己的操作系统的Eclipse版本,在撰写本文时,我们获取的是基于Eclipse4.5的版本,下载页面如下图所示:

efxclipse-install-1

页面中明确说明了安装包基于Eclipse4.5.0 SDK,并包含了e(fx)clipse 2.1.0、Xtext 2.8.3、EGit 4.0.0等插件。

2.3 通过更新站点安装

更新站点

如果要在已有的Eclipse基础上安装e(fx)clipse工具包,你需要添加一个更新站点。你需要添加更新站点http://download.eclipse.org/efxclipse/updates-released/2.1.0/sitehttp://download.eclipse.org/modeling/tmf/xtext/updates/composite/releases/,它们用于添加依赖的xtext相关包。

如果你对更新站点的使用不熟悉,则请参考下面的教程,或者使用前面提到的集成安装包。

Eclipse 4.5

1.

efxclipse-install-2

下载最新发布的 Eclipse 4.5 SDK

2.

efxclipse-install-3

如果没有启动Eclipse IDE,则启动之。

3.

efxclipse-install-4

e(fx)clipse是Eclipse IDE的一个扩展,它通过p2 repository来发布,使用” Install New Software” 向导来安装。

4.

efxclipse-install-5

Eclipse并不知道e(fx)clipse p2 repository的位置,因此你需要将对应的p2 repository添加为软件站点,其地址为::http://download.eclipse.org/efxclipse/updates-released/2.0.0/site

5.

efxclipse-install-6

在列出的可安装特性树中,仅需要选中与你的版本对应的条目:

● e(fx)clipse – IDE

确保”Contact all update sites during install to find required software”选项是被选中的。

尽管你可能会将FX Runtime安装到你的IDE中,但是我们强烈建议你构建自己的target platform。

6.

efxclipse-install-7

跟随向导进行操作,确保p2的运行机制运转正常。

7.

efxclipse-install-8

看到上面的提示,重新启动Eclipse。

 

打赏一下
支付宝
微信
除非注明,博客文章均为原创,转载请标明文章地址
本文地址: http://www.javafxchina.net/blog/2015/11/efxclipse-install/
百度已收录
  1. Pingback: FX周报(2015-11-10) | JavaFX中文资料 – 中文文档、入门教程